com.sun.source.tree

## Interface UnaryTree

- All Superinterfaces:
    ExpressionTree, Tree

      public interface UnaryTree
      extends ExpressionTree

  A tree node for postfix and unary expressions. Use `getKind` to determine the kind of operator. For example:

         operator expression

         expression operator

  Since:
    1.6
  See The Java™ Language Specification:
    sections 15.14 and 15.15

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionTree` | `getExpression()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression()

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.